Categories:
  - Time
License: BSD-3-Clause
AuthorName: Nathan Cosgray
AuthorWebSite: https://www.nathanatos.com/
SourceCode: https://github.com/ncosgray/cuppa_mobile
IssueTracker: https://github.com/ncosgray/cuppa_mobile/issues
Translation: https://hosted.weblate.org/projects/cuppa/
Changelog: https://github.com/ncosgray/cuppa_mobile/releases

AutoName: Cuppa

RepoType: git
Repo: https://github.com/ncosgray/cuppa_mobile

Builds:
  - versionName: '1.4'
    versionCode: 15
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: 1.4-fdroid
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.6
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.2
    versionCode: 16
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: ed21bfcfa7cdbeb42327294a17f2731e9b85d1ea
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.4
    versionCode: 17
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: 5098b9761108aaeb96118f89d917ae877a670397
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: '1.5'
    versionCode: 18
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: 9aae64dab80aa794903fbf73746a7147227085b6
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.3
    versionCode: 20
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: 44d178ec9cc63c91b5375d310255e9d22efebcfd
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.4
    versionCode: 21
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: 31e8b29145f53694b4dfb4a0d0d9f57f97aedd92
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.5
    versionCode: 22
    commit: 63fa25373ef8911f3e6c24126e822a0972237257
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.10.3
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.0
    versionCode: 24
    commit: 1165eb7210623b5081423c566ea09f6bd4b00236
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - ios
    build:
      - sed -i '/keystoreProperties.load(new FileInputStream(keystorePropertiesFile))/d'
        android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.6.0
CurrentVersionCode: 24
